> ## Documentation Index
> Fetch the complete documentation index at: https://docs.promptlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Prompt Template Labels

Retrieve all the release labels assigned to a prompt template. Identifiers can be either `prompt_name` or `prompt_id`.


## OpenAPI

````yaml GET /prompt-templates/{identifier}/labels
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security:
  - ApiKeyAuth: []
paths:
  /prompt-templates/{identifier}/labels:
    get:
      tags:
        - prompt-templates
        - release-labels
      summary: Get Prompt Template Labels
      operationId: get_prompt_templates_labels_prompt_identifier__post
      parameters:
        - name: identifier
          in: path
          required: true
          schema:
            type: string
            title: identifier
            description: The identifier can be either the prompt name or the prompt id.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPromptTemplateLabelResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          description: Not Found
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  schemas:
    GetPromptTemplateLabelResponse:
      properties:
        release_labels:
          type: array
          items:
            type: object
            properties:
              prompt_version_id:
                type: integer
              prompt_version_number:
                type: integer
              release_label:
                type: string
              release_label_id:
                type: integer
            required:
              - prompt_version_id
              - prompt_version_number
              - release_label
              - release_label_id
          title: Release Labels
      type: object
      required:
        - release_labels
      title: GetPromptTemplateLabelResponse
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          default: false
          description: Indicates that the request failed.
        message:
          type: string
          description: Human-readable error message.
        error:
          type: string
          description: Machine-readable or fallback error message.
      additionalProperties: true
      description: >-
        Standard error response. Some legacy endpoints may return either message
        or error.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  responses:
    UnauthorizedError:
      description: Unauthorized - missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ValidationError:
      description: Validation error - request parameters or body are invalid.
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/HTTPValidationError'
              - $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````